Package org.linphone.core

# Enum Class ParticipantDevice.JoiningMethod

java.lang.Object
java.lang.Enum<ParticipantDevice.JoiningMethod>
org.linphone.core.ParticipantDevice.JoiningMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<ParticipantDevice.JoiningMethod>`, `Constable`

Enclosing interface:
  ParticipantDevice

public static enum ParticipantDevice.JoiningMethod extends Enum<ParticipantDevice.JoiningMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DialedIn`
device called the conference
`DialedOut`
device is called the conference
`FocusOwner`
device is the focus

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ParticipantDevice.JoiningMethod`
`fromInt(int value)`
`int`
`toInt()`
`static ParticipantDevice.JoiningMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParticipantDevice.JoiningMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DialedIn

public static final ParticipantDevice.JoiningMethod DialedIn
device called the conference

### DialedOut

public static final ParticipantDevice.JoiningMethod DialedOut
device is called the conference

### FocusOwner

public static final ParticipantDevice.JoiningMethod FocusOwner
device is the focus

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ParticipantDevice.JoiningMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParticipantDevice.JoiningMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ParticipantDevice.JoiningMethod fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()